Show / Hide Table of Contents

# Class WebSocketDecoder

##### Inheritance

Object
WebSocketDecoder

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class WebSocketDecoder

### Methods

| Improve this Doc View Source

#### Decode(Byte[], Int32, Int32)

##### Declaration

    public IEnumerable<WebSocketFrame> Decode(byte[] data, int offset, int count)

##### Parameters

Type | Name | Description
--- | --- | ---
Byte[] | data |
Int32 | offset |
Int32 | count |

##### Returns

Type | Description
--- | ---
IEnumerable<WebSocketFrame> |